cancel
Showing results for 
Search instead for 
Did you mean: 

Elements with free faces on a mesh

Siemens Pioneer Siemens Pioneer
Siemens Pioneer

Using NXOpen, is there an effective mechanism to quickly query the elements with free faces of a mesh?

 

I have a 3D mesh on a block, I wish to identify the elements on the faces.

MAYAHTT
www.mayahtt.com
4 REPLIES

Re: Elements with free faces on a mesh

Siemens Phenom Siemens Phenom
Siemens Phenom

Unfortunately, no

Re: Elements with free faces on a mesh

Siemens Phenom Siemens Phenom
Siemens Phenom
A horrible hack ... Take the nodes of the element face, and check to see if these are on (or near to) the boundary of the object. This is extremely inefficient, and some tolerance tuning will be required to make it work reliably on curved surfaces. But, better than nothing, and it will work fine on a block.
山田
yamada

Re: Elements with free faces on a mesh

Siemens Phenom Siemens Phenom
Siemens Phenom

What you really need to do is create your own element face class, then loop through all elements in the mesh creating all of the element face objects for each. Any element face object that ocurrs only once is a free face.

Re: Elements with free faces on a mesh

Genius
Genius

Hi,

 

you could use something like this:

 

For Each Obj As TaggedObject In SelectedFaces

      'Get all Nodes on a Polygon Face:
      Dim relatedNodeMethod1 As CAE.RelatedNodeMethod
      relatedNodeMethod1 = theSimPart.SmartSelectionMgr.CreateRelatedNodeMethod(DirectCast(Obj, CAE.CAEFace))
     
'Get all Elements on a Polygon Face: Dim relatedElementMethod1 As CAE.RelatedElemMethod relatedElementMethod1 = theSimPart.SmartSelectionMgr.CreateRelatedElemMethod(DirectCast(Obj, CAE.CAEFace)) Next

For each selected Polygon Face you will then have obtained all Elements and Nodes.

With this info you can then (not really performance oriented) determine the Element Faces which attach to the Polygon Face.